[résolu]PoiEdit et Google Maps Javascript API V2 ou V3 - Utiliser le plugin leaflet

Aller en bas

Résolu [résolu]PoiEdit et Google Maps Javascript API V2 ou V3 - Utiliser le plugin leaflet

Message par cougnou le Jeu 8 Nov 2012 - 21:41

Bonsoir,
Depuis quelques temps, PoiEdit présente un inconvénient assez gênant, après avoir affiché le poi pendant quelques 4 à 5 secondes, il se bloque en affichant "Google has disabled use of the Maps API for this application ............etc.
Bref il est devenu très pénible d'utiliser PoiEdit car il manque un code d'activation !
Auriez-vous déjà rencontré ce type d'inconvénient et éventuellement trouvé une parade ?
Je vous en remercie d'avance.


Dernière édition par cougnou le Ven 5 Avr 2013 - 12:48, édité 3 fois

cougnou
1 sat
1 sat


Revenir en haut Aller en bas

Résolu Re: [résolu]PoiEdit et Google Maps Javascript API V2 ou V3 - Utiliser le plugin leaflet

Message par BenThon le Jeu 8 Nov 2012 - 21:59

Je ne connais pas PoiEdit, mais il y a peut être deux raisons à cela :
  • La licence d'utilisation des API Google Maps limite le nombre de requêtes par jour. (Licence)
  • Les API V2 ne fonctionneront que jusqu'en mai 2013 (API V2), car remplacées par Google AJAX API loader.

peut être...
BenThon
BenThon
4 sat
4 sat


Revenir en haut Aller en bas

Résolu Re: [résolu]PoiEdit et Google Maps Javascript API V2 ou V3 - Utiliser le plugin leaflet

Message par Monique le Ven 9 Nov 2012 - 8:46

Bonjour cougnou,

Il existait cette solution que j'avais déjà postée sur notre forum mais je ne sais pas si elle résoudra ton problème actuel :
[Vous devez être inscrit et connecté pour voir ce lien]
Monique
Monique
Fondatrice
Fondatrice


Revenir en haut Aller en bas

Résolu Re: [résolu]PoiEdit et Google Maps Javascript API V2 ou V3 - Utiliser le plugin leaflet

Message par cougnou le Ven 9 Nov 2012 - 9:41

Bonjour Monique,

Suite à tes conseils toujours hyper-judicieux, j'ai réussi à faire fonctionner PoiEdit normalement et si moi j'y suis arrivé............... !

Un énorme merci à Super Monique.

cougnou
1 sat
1 sat


Revenir en haut Aller en bas

Résolu Re: [résolu]PoiEdit et Google Maps Javascript API V2 ou V3 - Utiliser le plugin leaflet

Message par Monique le Dim 11 Nov 2012 - 22:29

Bonsoir,

Tu peux ajouter (Résolu) dans le titre de ton sujet en éditant ton 1er message de ce sujet : [Vous devez être inscrit et connecté pour voir ce lien]
Monique
Monique
Fondatrice
Fondatrice


Revenir en haut Aller en bas

Résolu Re: [résolu]PoiEdit et Google Maps Javascript API V2 ou V3 - Utiliser le plugin leaflet

Message par gosselien le Mer 13 Mar 2013 - 17:45

Hello,

je viens de constater que , de nouveau (fin février), il est impossible de garder google maps sur poiedit...et le message d'erreur apparait comme avant.
Y a-t-il déjà une solution ?

gosselien
1 sat
1 sat


Revenir en haut Aller en bas

Résolu Re: [résolu]PoiEdit et Google Maps Javascript API V2 ou V3 - Utiliser le plugin leaflet

Message par Monique le Ven 15 Mar 2013 - 10:17

Bonjour,

Tomtomax, qui nous avait fourni la nouvelle clé (et le ".dll" mis à jour) l'an dernier, ne l'a pas encore trouvée. Si cela se fait, je le communiquerai.
Monique
Monique
Fondatrice
Fondatrice


Revenir en haut Aller en bas

Résolu Re: [résolu]PoiEdit et Google Maps Javascript API V2 ou V3 - Utiliser le plugin leaflet

Message par cougnou le Ven 15 Mar 2013 - 10:22

Bonjour Monique,

Merci de ta précision, j'attends impatiemment cette mise à jour car je viens de constater les nouveaux caprices de ce précieux POIEDIT.

A bientôt.

cougnou
1 sat
1 sat


Revenir en haut Aller en bas

Résolu Re: [résolu]PoiEdit et Google Maps Javascript API V2 ou V3 - Utiliser le plugin leaflet

Message par cougnou le Ven 15 Mar 2013 - 11:39

Rebonjour Monique,

Après avoir désinstallé POIEDIT je l'ai réinstallé dans sa version de base et l'affichage de la carte refonctionne quelques secondes, cela n'est hélàs pas satisfaisant.

J'ai testé ce prg Tomtom et ça fonctionne parfaitement en .ov2 évidemment et même avec un petit supplément sur la carte, une photo vient compléter le poi, que demander de plus sinon remercier Tomtom !

[Vous devez être inscrit et connecté pour voir ce lien] [i][Edit de Monique : il faut passer par cette page pour télécharger : [Vous devez être inscrit et connecté pour voir ce lien]

A votre tour de le tester.


Dernière édition par cougnou le Ven 15 Mar 2013 - 22:02, édité 3 fois (Raison : correction du lien)

cougnou
1 sat
1 sat


Revenir en haut Aller en bas

Résolu PoiEdit et Google Maps Javascript API V3

Message par Monique le Mer 3 Avr 2013 - 8:36

Bonjour,

IdMax, sur Tomtomax, a mis en ligne la nouvelle API de Google pour Poi Edit :
[Vous devez être inscrit et connecté pour voir ce lien]
Monique
Monique
Fondatrice
Fondatrice


Revenir en haut Aller en bas

Résolu Re: [résolu]PoiEdit et Google Maps Javascript API V2 ou V3 - Utiliser le plugin leaflet

Message par california le Mer 3 Avr 2013 - 12:14

Bonjour,

Merci à tous.

Cordialement
california
california
1 sat
1 sat


Revenir en haut Aller en bas

Résolu Re: [résolu]PoiEdit et Google Maps Javascript API V2 ou V3 - Utiliser le plugin leaflet

Message par gosselien le Ven 5 Avr 2013 - 12:49

super !!!

dommage, mais à présent à gauche en bas des cartes, moi j'ai deux fois "google maps" ....

quelqu'un d'autre ici a ça aussi ?
Merci

gosselien
1 sat
1 sat


Revenir en haut Aller en bas

Résolu Re: [résolu]PoiEdit et Google Maps Javascript API V2 ou V3 - Utiliser le plugin leaflet

Message par cougnou le Ven 5 Avr 2013 - 12:51

Bonjour Super Monique,

Encore un tout grand merci je le testerai bientôt.

cougnou
1 sat
1 sat


Revenir en haut Aller en bas

Résolu Re: [résolu]PoiEdit et Google Maps Javascript API V2 ou V3 - Utiliser le plugin leaflet

Message par gosselien le Ven 5 Avr 2013 - 22:02

résolu...
il ne faut garder qu'une DLL ...


gosselien
1 sat
1 sat


Revenir en haut Aller en bas

Résolu Re: [résolu]PoiEdit et Google Maps Javascript API V2 ou V3 - Utiliser le plugin leaflet

Message par Monique le Dim 10 Jan 2016 - 9:33

Bonjour,

Nouveau fichier ".dll" pour GoogleMaps sur Tomtomax (cliquer) dans ce message.
Monique
Monique
Fondatrice
Fondatrice


Revenir en haut Aller en bas

Résolu Re: [résolu]PoiEdit et Google Maps Javascript API V2 ou V3 - Utiliser le plugin leaflet

Message par Monique le Sam 18 Aoû 2018 - 16:03

Bonjour,

Désormais, il vaut mieux ne plus utiliser GoogleMaps.dll (encore une modification de l'API) qui provoque une erreur mais leaflet.dll.
Télécharger le fichier-joint ci-dessous, le décompresser et coller leaflet.dll dans le dossier C:\Dnote Software\PoiEdit2007\plugins\htmlembed\ de votre ordinateur.
Idea Il vaut mieux renommer ou supprimer GoogleMaps.dll qui s'y trouve.

PS : Plus d'infos ici : [Vous devez être inscrit et connecté pour voir ce lien]
Fichiers joints
[résolu]PoiEdit et Google Maps Javascript API V2 ou V3 - Utiliser le plugin leaflet Attachment
leaflet.zip Vous n'avez pas la permission de télécharger les fichiers joints.(46 Ko) Téléchargé 7 fois
Monique
Monique
Fondatrice
Fondatrice


Revenir en haut Aller en bas

Résolu La solution pour Googlemaps et Streetmaps

Message par bobjmp13 le Dim 19 Aoû 2018 - 10:17

Bonjour,
Aprés quelques recherches j'ai trouvé une astuce qui permet d'utiliser Googlemaps et streetmaps. Mais pour cela il faut conserver le plugin GoogleMaps.dll du 01-2016 fourni par IdMax

Un clic droit sur le bouton de démarrage --> "Exécuter" taper regedit puis rechercher :
--> HKEY_CURRENT_USER
--> SOFTWARE
--> Microsoft
--> Internet Explorer
--> Main
--> FeatureControl
--> FEATURE_BROWSER_EMULATION

click droit > New > D-WORD value 32. Name et mettre “PoiEdit.exe"

Double click sur  “PoiEdit.exe" selectioner Decimal . entrer la valeur: 11001
puis ok

Pour info:


Value Description
11001 (0x2AF9)   Internet Explorer 11. Webpages are displayed in IE11 edge mode, regardless of the declared !DOCTYPE directive. Failing to declare a !DOCTYPE directive causes the page to load in Quirks.
11000 (0x2AF8)  IE11. Webpages containing standards-based !DOCTYPE directives are displayed in IE11 edge mode. Default value for IE11.
10001 (0x2711)  Internet Explorer 10. Webpages are displayed in IE10 Standards mode, regardless of the !DOCTYPE directive.
10000 (0x02710) Internet Explorer 10. Webpages containing standards-based !DOCTYPE directives are displayed in IE10 Standards mode. Default value for Internet Explorer 10.


Sinon :
ouvrir le blocnotes de windows

collez ceci:

Windows Registry Editor Version 5.00

[HKEY_CURRENT_USER\Software\Microsoft\Internet Explorer\Main\FeatureControl\FEATURE_BROWSER_EMULATION]
"PoiEdit.exe"=dword:00002af9


puis enregistrer le fichier sur votre bureau : mapsfix.reg
et double click sur votre nouveau fichier et répondre par oui

J’espère avoir été assez claire sinon n’hésitez pas
Et cette astuce fonction avec beaucoup de vieux logiciel qui ont besoin d'une ancienne version d'internet explorer

A+
bobjmp13
bobjmp13
3 sat
3 sat


Revenir en haut Aller en bas

Résolu Re: [résolu]PoiEdit et Google Maps Javascript API V2 ou V3 - Utiliser le plugin leaflet

Message par milsabords le Mar 21 Aoû 2018 - 14:02

merci

Ça marche !

milsabords
4 sat
4 sat


Revenir en haut Aller en bas

Résolu Re: [résolu]PoiEdit et Google Maps Javascript API V2 ou V3 - Utiliser le plugin leaflet

Message par bobjmp13 le Mar 21 Aoû 2018 - 16:31

Bonjour,

Je suis toujours à la recherche d’un logiciel qui pourrait remplacer notre vieux poiedit, et je viens d’en trouver un qui a l’air vraiment prometteur a vous de décider.

[Vous devez être inscrit et connecté pour voir ce lien]

gratuit, plus de carte Google qui plante, et suivit par son créateur.

A+
bobjmp13
bobjmp13
3 sat
3 sat


Revenir en haut Aller en bas

Résolu Re: [résolu]PoiEdit et Google Maps Javascript API V2 ou V3 - Utiliser le plugin leaflet

Message par milsabords le Mar 21 Aoû 2018 - 19:59

merci
Excellent !

milsabords
4 sat
4 sat


Revenir en haut Aller en bas

Résolu Re: [résolu]PoiEdit et Google Maps Javascript API V2 ou V3 - Utiliser le plugin leaflet

Message par Monique le Lun 20 Mai 2019 - 10:14

Bonjour,

Les messages concernant les logiciels de PaPa_jds (lien de bobjmp13 plus haut) ont été déplacés ici : [Vous devez être inscrit et connecté pour voir ce lien]
Monique
Monique
Fondatrice
Fondatrice


Revenir en haut Aller en bas

Résolu Re: [résolu]PoiEdit et Google Maps Javascript API V2 ou V3 - Utiliser le plugin leaflet

Message par grognot le Sam 1 Juin 2019 - 2:21

Bonjour bobjmp13,
Je viens de tester ton post du 19 aout 2O18 sous Win 7 64 bits : POIEdit ne peut hélas plus afficher une carte en interne, même avec les plugins 2016 et "mapsfix.reg". C'est pour cela que nous cherchons tous un autre éditeur de POI capable d'assurer cette fonction bien pratique, à l'instar de Points Edit et de mon Editeur de POI Excel (cartes OSM).
Je sais que tu sais, mais il importe d'en informer la communauté Sad

grognot
2 sat
2 sat


Revenir en haut Aller en bas

Revenir en haut


 
Permission de ce forum:
Vous ne pouvez pas répondre aux sujets dans ce forum